
QGIS Application - Bug report #2621

eVis Event Browser missing records

2010-04-03 05:06 AM - Donkagen2 -

Status: Closed

Priority: Low

Assignee: ersts -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12681

Description

Not all records that can be displayed using the eVis Event Id Tool are displayed with the Event Browser.

History

#1 - 2010-04-15 02:26 PM - ersts -

- Status changed from Open to In Progress

It seems that the [[QgsVectorLayer]].select() is not returning all the features when using its own extent. One possible solution is to simply use the extent of

the map canvas. A second would be to add a hack to expand the extent a little, but that is not really a solution. The real solution to to fix the underlying

vector class.

I have filed a new ticket ( #2658 ) describing the vector layer problem and will keep this ticket open for the time being.

In the mean time you can manually select all of you points then launch the event browser.

#2 - 2010-05-25 12:51 PM - ersts -

- Resolution set to fixed

- Status changed from In Progress to Closed

fixed in revision 13574

Files

Canal_spillway_photographs.zip 2.08 KB 2010-04-03 Donkagen2 -
